## libsvn-notify-mirror-perl 0.04000

=== debian/changelog ===
libsvn-notify-mirror-perl (0.04000-3) unstable; urgency=medium

  [ gregor herrmann ]
  * Rename autopkgtest configuration file(s) as per new pkg-perl-
    autopkgtest schema.

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.
  * Remove Micah Anderson from Uploaders. Thanks for your work!

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ gregor herrmann ]
  * debian/watch: use uscan version 4.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from deprecated 8 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Remove constraints unnecessary since stretch:
    + Build-Depends: Drop versioned constraint on libmodule-build-perl.
    + Build-Depends-Indep: Drop versioned constraint on libsvn-notify-perl,
      libyaml-perl.
    + libsvn-notify-mirror-perl: Drop versioned constraint on
      libsvn-notify-perl, libyaml-perl in Depends.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 17 Jun 2022 11:12:10 +0100

libsvn-notify-mirror-perl (0.04000-2.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Tue, 14 Jun 2022 14:29:03 +0200

libsvn-notify-mirror-perl (0.04000-2) unstable; urgency=medium

  * Set LC_ALL=C for the test suite, it fails in other locales.
    (Closes: #800062)
  * Set SENDMAIL=/dev/null for the autopkgtest checks.

 -- Niko Tyni <ntyni@debian.org>  Sat, 26 Sep 2015 14:27:06 +0300

libsvn-notify-mirror-perl (0.04000-1) unstable; urgency=low

  [ Nathan Handler ]
  * debian/watch: Update to ignore development releases.

  [ gregor herrmann ]
  * debian/control: Changed: (build-)depend on perl instead of perl-
    modules.
  * Convert to source format 3.0 (quilt).
  * Add a patch to fix POD errors.

  [ Ansgar Burchardt ]
  * debian/control: Convert Vcs-* fields to Git.

  [ gregor herrmann ]
  * debian/control: update {versioned,alternative} (build) dependencies.

  [ Salvatore Bonaccorso ]
  * Imported Upstream version 0.04000
  * Change search.cpan.org based URIs to metacpan.org based URIs
  * Update versioned (build-)dependencies for YAML and SVN::Notify
  * Add alternative build-dependency for Module::Build.
    Add alternative Build-Depends on perl (>= 5.13.11) |
    libmodule-build-perl (>= 0.380000) for Module::Build's requirement on
    0.38.
  * Update debian/copyright file information.
    Update format to copyright-format 1.0 as released together with Debian
    policy 3.9.3.
  * Bump Debhelper compat level to 8.
    Adjust verisoned Build-Depends on debhelper to (>= 8).
  * Simplify debian/rules to a tiny 3-line makefile
  * Remove comments from debian/watch file

  [ gregor herrmann ]
  * Strip trailing slash from metacpan URLs.
  * Update years of packaging copyright, add more copyright holders for
    debian/*, refresh formatting.
  * Declare compliance with Debian Policy 3.9.5.

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend

  [ gregor herrmann ]
  * debian/control: update Module::Build dependency.
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 3.9.6.
  * Improve short and long description.
  * Mark package as autopkgtest-able.
  * Add two small patches (spelling and POD syntax).

 -- gregor herrmann <gregoa@debian.org>  Thu, 04 Jun 2015 14:46:21 +0200

libsvn-notify-mirror-perl (0.03800-2) unstable; urgency=low

  * Work with changed output from subversion 1.7.
    Patch t/corelist.pm to work with changed output of svnnotify. Fix FTBFS
    "tests failed". (Closes: #678791)

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 03 Jul 2012 21:53:10 +0200

libsvn-notify-mirror-perl (0.03800-1) unstable; urgency=low

  * New upstream release.
  * Drop patch test_config_exit.patch, applied upstream; drop quilt
    framework.

 -- gregor herrmann <gregoa@debian.org>  Mon, 19 May 2008 20:37:46 +0200

libsvn-notify-mirror-perl (0.03700-2) unstable; urgency=low

  * debian/control:
    - add perl-modules (>= 5.10.0) as the first alternative to the build
      dependency on libmodule-build-perl (cf. #480727)
    - make build dependecy on quilt versioned
    - change my email address
  * Refresh debian/rules, no functional changes (except for the omission of
    the not so helpful README).

 -- gregor herrmann <gregoa@debian.org>  Tue, 13 May 2008 02:10:30 +0200

libsvn-notify-mirror-perl (0.03700-1) unstable; urgency=low

  [ Damyan Ivanov ]
  * debian/watch: add upstream version mangling to cope with 0.037 released
    after 0.03603

  [ gregor herrmann ]
  * Simplify version mangling to cope with older perl versions.
  * New upstream release.
  * debian/copyright: update years of copyright.
  * Bump versioned dependency on libsvn-notify-perl and add explicit
    dependency on libyaml-perl, as per upstream changes.

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Mon, 17 Mar 2008 02:44:36 +0100

libsvn-notify-mirror-perl (0.03603-2) unstable; urgency=medium

  [ Damyan Ivanov ]
  * [debian/watch] Stop capturing file extension

  [ gregor herrmann ]
  * debian/control:
    - add Vcs-Svn field (source stanza); Vcs-Browser field (source stanza);
      Homepage field (source stanza)
    - remove XS-Vcs-Svn fields
    - move libmodule-build-perl to Build-Depends (used in clean target) and
      make it a versioned dependency
    - wrap Uploaders line
  * debian/rules:
    - delete /usr/lib/perl5 only if it exists
    - remove compiler variables, this package is architecture-independent
    - move tests to build-stamp target
    - let install-stamp target depend on build-stamp
    - use $(TMP) when removing empty directory
    - don't create .packlist file instead of deleting it later
    - use $@ for touching stamp-files

