=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_test:
	LC_ALL=C SENDMAIL=/dev/null dh_auto_test
