=== debian/watch ===
version=4
opts="uversionmangle=s/^(\d+\.\d\d\d)$/${1}00/" \
https://metacpan.org/release/SVN-Notify-Mirror   .*/SVN-Notify-Mirror-v?@ANY_VERSION@@ARCHIVE_EXT@$
